Product Documentation

Lights Out Management Port of the NetScaler MPX Appliance

Dec 17, 2015

The MPX 8005/8015/8200/8400/8600/8800, MPX 11500/13500/14500/16500/18500/20500, MPX 17550/19550/20550/21550, MPX 22040/22060/22080/22100/22120, MPX 24100/24150, and MPX 25100T/25160T appliances have an Intelligent Platform Management Interface (IPMI), also known as the Lights Out Management (LOM) port, on the front panel of the appliance. You can use the LOM port to remotely monitor and manage the appliance, independently of the NetScaler software.

By connecting the LOM port to a dedicated channel that is separate from the data channel, you can make sure that connectivity to the appliance is maintained even if the data network is down. You thereby eliminate the data cable and data network as a single point of failure.

You can access the LOM port through a browser and use the graphical user interface (GUI) for most tasks. All tasks can be performed through the NetScaler shell.

You can use either the GUI or a shell for the following tasks:
  • Configuring the network settings
  • Health monitoring
  • Power control operations
  • Factory reset
Different Citrix appliances support different shells:
  • For FreeBSD based NetScaler MPX appliances, use the bash nsroot shell (also known as NS Shell).
  • For Linux based appliances, use the Linux bash root shell.
Note: The terms LOM and Baseboard Management Controller (BMC) are used interchangeably.
Caution: LOM firmware versions are platform specific. Upgrading to a LOM firmware version other than one shown for your platform in the LOM Support Matrix, below, results in the LOM becoming unusable.

The LOM Support Matrix shows the LOM firmware versions shipped with the various platforms, along with the recommended versions, and the earliest NetScaler software versions that support both the shipped and the recommended LOM firmware versions. The latest available LOM package can be found on the Citrix downloads website under LOM Firmware Upgrade.

Hardware Ships With Version Recommended Version Minimum NetScaler Version to avoid PS failure issues
MPX 8005/8015/8200/8400/8600/8800 2.04/2.07/3.02/3.10/3.11 3.11 9.3_65.x, 10.1_123.x, 10.5
MPX 11500/13500/14500/16500/18500/20500 2.52/3.02/3.33/3.39 3.39 9.3_65.x, 10.1_123.x, 10.5
MPX 11515/11520/11530/11540/11542 2.52/3.02/3.33/3.39 3.39 9.3_65.x, 10.1_123.x, 10.5
MPX 17550/19550/20550/21550 2.52/3.02/3.33/3.39 3.39 9.3_65.x, 10.1_123.x, 10.5
MPX 22040/22060/22080/22100/22120 2.63/3.22 3.22 9.3_65.x, 10.1_123.x, 10.5
MPX 24100/24150 2.63/3.22 3.22 9.3_65.x, 10.1_123.x, 10.5